Module SQL_資料庫系統管理
    '---------------------系統執行檔版本管理-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_版本號管理修改()
        ConnOpen()
        SQL1 = "UPDATE 版本號管理 SET 系統認證版本號 = N'" & 系統執行檔版本管理.版本號_tb.Text & "' WHERE (系統認證版本號 = N'" & Strings.Right(系統執行檔版本管理.資料庫版本號_lb.Text, 10) & "')"
        CmdSet_For_dr()
    End Sub
    '---------------------系統使用者管理-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_系統使用者管理清單()
        ConnOpen() : SQL1 = "SELECT " & 登入權限 & " FROM 使用者權限管理表 ORDER BY 級別" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統使用者新增()
        ConnOpen()
        SQL1 = "INSERT INTO 使用者權限管理表 (" & 登入權限 & ") " &
               "VALUES (N'" & 系統使用者管理.姓名_tb.Text & "',N'" & 系統使用者管理.帳號_tb.Text & "',N'" & 系統使用者管理.密碼_tb.Text & "',
                        N'" & 系統使用者管理.職務_cb.Text & "',N'" & 系統使用者管理.級別_cb.Text & "',N'" & 系統使用者管理.CheckBox1.Checked & "',
                        N'" & 系統使用者管理.CheckBox2.Checked & "',N'" & 系統使用者管理.CheckBox3.Checked & "',N'" & 系統使用者管理.CheckBox4.Checked & "',
                        N'" & 系統使用者管理.CheckBox5.Checked & "',N'" & 系統使用者管理.CheckBox6.Checked & "',N'" & 系統使用者管理.CheckBox7.Checked & "',
                        N'" & 系統使用者管理.CheckBox8.Checked & "',N'" & 系統使用者管理.CheckBox9.Checked & "',N'" & 系統使用者管理.CheckBox10.Checked & "',
                        N'" & 系統使用者管理.CheckBox11.Checked & "',N'" & 系統使用者管理.CheckBox12.Checked & "',N'" & 系統使用者管理.CheckBox13.Checked & "',
                        N'" & 系統使用者管理.CheckBox14.Checked & "',N'" & 系統使用者管理.CheckBox15.Checked & "',N'" & 系統使用者管理.CheckBox16.Checked & "',
                        N'" & 系統使用者管理.CheckBox17.Checked & "',N'" & 系統使用者管理.CheckBox18.Checked & "',N'" & 系統使用者管理.CheckBox19.Checked & "',
                        N'" & 系統使用者管理.CheckBox20.Checked & "',N'" & 系統使用者管理.CheckBox21.Checked & "',N'" & 系統使用者管理.CheckBox22.Checked & "',
                        N'" & 系統使用者管理.CheckBox23.Checked & "',N'" & 系統使用者管理.CheckBox24.Checked & "',N'" & 系統使用者管理.CheckBox25.Checked & "',
                        N'" & 系統使用者管理.CheckBox26.Checked & "',N'" & 系統使用者管理.CheckBox27.Checked & "',N'" & 系統使用者管理.CheckBox28.Checked & "',
                        N'" & 系統使用者管理.CheckBox29.Checked & "',N'" & 系統使用者管理.CheckBox30.Checked & "',N'" & 系統使用者管理.CheckBox31.Checked & "',
                        N'" & 系統使用者管理.CheckBox32.Checked & "',N'" & 系統使用者管理.CheckBox33.Checked & "',N'" & 系統使用者管理.CheckBox34.Checked & "',
                        N'" & 系統使用者管理.CheckBox35.Checked & "',N'" & 系統使用者管理.CheckBox36.Checked & "',N'" & 系統使用者管理.CheckBox37.Checked & "',
                        N'" & 系統使用者管理.CheckBox38.Checked & "',N'" & 系統使用者管理.CheckBox39.Checked & "',N'" & 系統使用者管理.CheckBox40.Checked & "',
                        N'" & 系統使用者管理.CheckBox41.Checked & "',N'" & 系統使用者管理.CheckBox42.Checked & "',N'" & 系統使用者管理.CheckBox43.Checked & "',
                        N'" & 系統使用者管理.CheckBox44.Checked & "',N'" & 系統使用者管理.CheckBox45.Checked & "',N'" & 系統使用者管理.CheckBox46.Checked & "',
                        N'" & 系統使用者管理.CheckBox47.Checked & "',N'" & 系統使用者管理.CheckBox48.Checked & "',N'" & 系統使用者管理.CheckBox49.Checked & "',
                        N'" & 系統使用者管理.CheckBox50.Checked & "',N'" & 系統使用者管理.CheckBox51.Checked & "',N'" & 系統使用者管理.CheckBox52.Checked & "',
                        N'" & 系統使用者管理.CheckBox53.Checked & "',N'" & 系統使用者管理.CheckBox54.Checked & "',N'" & 系統使用者管理.CheckBox55.Checked & "',
                        N'" & 系統使用者管理.CheckBox56.Checked & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者密碼顯示()
        ConnOpen() : SQL1 = "SELECT 密碼 FROM 使用者權限管理表 WHERE 姓名 LIKE N'" & 系統使用者管理.姓名_tb.Text & "' AND 帳號 LIKE N'" & 系統使用者管理.帳號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者修改()
        ConnOpen()
        SQL1 = "UPDATE 使用者權限管理表 SET 姓名 = N'" & 系統使用者管理.姓名_tb.Text & "', 密碼 = N'" & 系統使用者管理.密碼_tb.Text & "', 職稱 = N'" & 系統使用者管理.職務_cb.Text & "', 
                                            級別 = N'" & 系統使用者管理.級別_cb.Text & "', CC01 = N'" & 系統使用者管理.CheckBox1.Checked & "', CC02 = N'" & 系統使用者管理.CheckBox2.Checked & "', 
                                       CC03 = N'" & 系統使用者管理.CheckBox3.Checked & "', CC04 = N'" & 系統使用者管理.CheckBox4.Checked & "', CC05 = N'" & 系統使用者管理.CheckBox5.Checked & "', 
                                       CC06 = N'" & 系統使用者管理.CheckBox6.Checked & "', CC07 = N'" & 系統使用者管理.CheckBox7.Checked & "', CC08 = N'" & 系統使用者管理.CheckBox8.Checked & "', 
                                       CC09 = N'" & 系統使用者管理.CheckBox9.Checked & "', CC10 = N'" & 系統使用者管理.CheckBox10.Checked & "', CC11 = N'" & 系統使用者管理.CheckBox11.Checked & "', 
                                       CC12 = N'" & 系統使用者管理.CheckBox12.Checked & "', CC13 = N'" & 系統使用者管理.CheckBox13.Checked & "', CC14 = N'" & 系統使用者管理.CheckBox14.Checked & "', 
                                       CC15 = N'" & 系統使用者管理.CheckBox15.Checked & "', CC16 = N'" & 系統使用者管理.CheckBox16.Checked & "', CC17 = N'" & 系統使用者管理.CheckBox17.Checked & "', 
                                       CC18 = N'" & 系統使用者管理.CheckBox18.Checked & "', CC19 = N'" & 系統使用者管理.CheckBox19.Checked & "', CC20 = N'" & 系統使用者管理.CheckBox20.Checked & "', 
                                       CC21 = N'" & 系統使用者管理.CheckBox21.Checked & "', CC22 = N'" & 系統使用者管理.CheckBox22.Checked & "', CC23 = N'" & 系統使用者管理.CheckBox23.Checked & "', 
                                       CC24 = N'" & 系統使用者管理.CheckBox24.Checked & "', CC25 = N'" & 系統使用者管理.CheckBox25.Checked & "', CC26 = N'" & 系統使用者管理.CheckBox26.Checked & "', 
                                       CC27 = N'" & 系統使用者管理.CheckBox27.Checked & "', CC28 = N'" & 系統使用者管理.CheckBox28.Checked & "', CC29 = N'" & 系統使用者管理.CheckBox29.Checked & "', 
                                       CC30 = N'" & 系統使用者管理.CheckBox30.Checked & "', CC31 = N'" & 系統使用者管理.CheckBox31.Checked & "', CC32 = N'" & 系統使用者管理.CheckBox32.Checked & "', 
                                       CC33 = N'" & 系統使用者管理.CheckBox33.Checked & "', CC34 = N'" & 系統使用者管理.CheckBox34.Checked & "', CC35 = N'" & 系統使用者管理.CheckBox35.Checked & "', 
                                       CC36 = N'" & 系統使用者管理.CheckBox36.Checked & "', CC37 = N'" & 系統使用者管理.CheckBox37.Checked & "', CC38 = N'" & 系統使用者管理.CheckBox38.Checked & "', 
                                       CC39 = N'" & 系統使用者管理.CheckBox39.Checked & "', CC40 = N'" & 系統使用者管理.CheckBox40.Checked & "', CC41 = N'" & 系統使用者管理.CheckBox41.Checked & "', 
                                       CC42 = N'" & 系統使用者管理.CheckBox42.Checked & "', CC43 = N'" & 系統使用者管理.CheckBox43.Checked & "', CC44 = N'" & 系統使用者管理.CheckBox44.Checked & "', 
                                       CC45 = N'" & 系統使用者管理.CheckBox45.Checked & "', CC46 = N'" & 系統使用者管理.CheckBox46.Checked & "', CC47 = N'" & 系統使用者管理.CheckBox47.Checked & "', 
                                       CC48 = N'" & 系統使用者管理.CheckBox48.Checked & "', CC49 = N'" & 系統使用者管理.CheckBox49.Checked & "', CC50 = N'" & 系統使用者管理.CheckBox50.Checked & "', 
                                       CC51 = N'" & 系統使用者管理.CheckBox51.Checked & "', CC52 = N'" & 系統使用者管理.CheckBox52.Checked & "', CC53 = N'" & 系統使用者管理.CheckBox53.Checked & "', 
                                       CC54 = N'" & 系統使用者管理.CheckBox54.Checked & "', CC55 = N'" & 系統使用者管理.CheckBox55.Checked & "', CC56 = N'" & 系統使用者管理.CheckBox56.Checked & "'
                WHERE (帳號 = '" & 系統使用者管理.帳號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者刪除()
        ConnOpen() : SQL1 = "DELETE FROM 使用者權限管理表 WHERE (帳號 = '" & 系統使用者管理.帳號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者管理_職稱下拉清單()
        ConnOpen() : SQL1 = "SELECT 職稱, 級別 FROM 職稱清單 ORDER BY 級別" : CmdSet_For_dr()
    End Sub
    '---------------------系統編碼規則-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_系統編碼規則_送貨起車參數()
        ConnOpen() : SQL1 = "SELECT 地區, 起車, 最低售額 FROM  送貨起車參數 ORDER BY 起車" : CmdSet_For_DGV()
    End Sub

    Friend Sub SQL_系統編碼規則_物料訂製()
        ConnOpen() : SQL1 = "SELECT 訂製, 編碼 FROM 物料訂製狀態 ORDER BY 編碼 DESC" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統編碼規則_物料訂製狀態_最後一筆資料()
        ConnOpen() : SQL1 = "SELECT TOP (1) 編碼 FROM 物料訂製狀態 ORDER BY 編碼 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統編碼規則_送貨起車參數重複查詢()
        SQL1 = "SELECT 地區 FROM 送貨起車參數 WHERE 地區 LIKE '" & 系統編碼規則.訂製內容_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_物料訂製狀態重複查詢()
        SQL1 = "SELECT 訂製, 編碼 FROM 物料訂製狀態 WHERE 訂製 LIKE '" & 系統編碼規則.訂製內容_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_送貨起車參數新增()
        SQL1 = "INSERT INTO 送貨起車參數 (地區, 起車, 最低售額) VALUES (N'" & 系統編碼規則.地點_tb.Text & "', N'" & 系統編碼規則.運費_tb.Text & "', N'" & 系統編碼規則.低售_tb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_物料訂製狀新增()
        SQL1 = "INSERT INTO 物料訂製狀態 (訂製, 編碼) VALUES (N'" & 系統編碼規則.訂製內容_tb.Text & "', N'" & 系統編碼規則.訂製編碼_tb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_送貨起車參數修改()
        SQL1 = "UPDATE 送貨起車參數 SET 起車 = N'" & 系統編碼規則.運費_tb.Text & "', 最低售額 = N'" & 系統編碼規則.低售_tb.Text & "' WHERE 地區 LIKE N'" & 系統編碼規則.地點_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_物料訂製修改()
        SQL1 = "UPDATE 物料訂製狀態 SET 訂製 = N'" & PA & "', 編碼 = N'" & 系統編碼規則.訂製編碼_tb.Text & "' WHERE 訂製 LIKE N'" & 系統編碼規則.訂製內容_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_送貨起車參數製刪除()
        SQL1 = "DELETE FROM 送貨起車參數 WHERE (地區 = N'" & 系統編碼規則.地點_tb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則物料訂製刪除()
        SQL1 = "DELETE FROM 物料訂製狀態 WHERE (編碼 = N'" & 系統編碼規則.訂製編碼_tb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_職務()
        ConnOpen() : SQL1 = "SELECT 職稱, 級別 FROM 職稱清單 ORDER BY 級別" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統編碼規則_職務重複查詢()
        SQL1 = "SELECT 職稱 FROM 職稱清單 WHERE 職稱 LIKE '" & 系統編碼規則.職稱_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_職務新增()
        SQL1 = "INSERT INTO 職稱清單 (職稱, 級別) VALUES (N'" & 系統編碼規則.職稱_tb.Text & "', N'" & 系統編碼規則.級別_cb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_職務修改()
        SQL1 = "UPDATE 職稱清單 SET 職稱 = N'" & PA & "', 級別 = N'" & 系統編碼規則.級別_cb.Text & "' WHERE 職稱 LIKE N'" & 系統編碼規則.職稱_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_人事職務修改()
        SQL1 = "UPDATE 人事資料表 SET 職務 = N'" & PA & "' WHERE 職務 LIKE N'" & 系統編碼規則.職稱_tb.Text & "'"
    End Sub
    Friend Sub SQL_使用者權限管理表_職務修改()
        SQL1 = "UPDATE 使用者權限管理表 SET 職稱 = N'" & PA & "', 級別 = N'" & 系統編碼規則.級別_cb.Text & "' WHERE 職稱 LIKE N'" & 系統編碼規則.職稱_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_級別修改()
        SQL1 = "UPDATE 職稱清單 SET 級別 = N'" & 系統編碼規則.級別_cb.Text & "' WHERE 職稱 LIKE N'" & 系統編碼規則.職稱_tb.Text & "'"
    End Sub
    Friend Sub SQL_使用者權限管理表_級別修改()
        SQL1 = "UPDATE 使用者權限管理表 SET 級別 = N'" & 系統編碼規則.級別_cb.Text & "' WHERE 職稱 LIKE N'" & 系統編碼規則.職稱_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_職務刪除()
        SQL1 = "DELETE FROM 職稱清單 WHERE (職稱 = N'" & 系統編碼規則.職稱_tb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_地區碼()
        ConnOpen() : SQL1 = "SELECT 地區, 編碼 FROM 地區碼 ORDER BY 編碼" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統編碼規則_業務碼()
        ConnOpen() : SQL1 = "SELECT  業務號 FROM 業務編號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統編碼規則_地區重複查詢()
        SQL1 = "SELECT 地區 FROM 地區碼 WHERE 地區 LIKE '" & 系統編碼規則.地區_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_地區碼新增()
        SQL1 = "INSERT INTO 地區碼 (地區, 編碼) VALUES (N'" & 系統編碼規則.地區_tb.Text & "', N'" & 系統編碼規則.地區編碼_cb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_地區碼修改()
        SQL1 = "UPDATE 地區碼 SET 地區 = N'" & PA & "', 編碼 = N'" & 系統編碼規則.地區編碼_cb.Text & "' WHERE 地區 LIKE N'" & 系統編碼規則.地區_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_地區碼刪除()
        SQL1 = "DELETE FROM 地區碼 WHERE (地區 = N'" & 系統編碼規則.地區_tb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_倉儲狀態()
        ConnOpen() : SQL1 = "SELECT 狀態, 編碼 FROM 倉儲狀態" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統編碼規則_倉儲狀態重複查詢()
        SQL1 = "SELECT 狀態, 編碼 FROM 倉儲狀態 WHERE 狀態 LIKE '" & 系統編碼規則.倉儲狀態_tb.Text & "' OR 編碼 LIKE '" & 系統編碼規則.倉儲編碼_cb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_倉儲狀態碼新增()
        SQL1 = "INSERT INTO 倉儲狀態 (狀態, 編碼) VALUES (N'" & 系統編碼規則.倉儲狀態_tb.Text & "', N'" & 系統編碼規則.倉儲編碼_cb.Text & "')"
    End Sub
    Friend Sub SQL_系統編碼規則_倉儲狀態修改()
        SQL1 = "UPDATE 倉儲狀態 SET 狀態 = N'" & PA & "', 編碼 = N'" & 系統編碼規則.倉儲編碼_cb.Text & "' WHERE 狀態 LIKE N'" & 系統編碼規則.倉儲狀態_tb.Text & "'"
    End Sub
    Friend Sub SQL_系統編碼規則_倉儲狀態刪除()
        SQL1 = "DELETE FROM 倉儲狀態 WHERE (狀態 = N'" & 系統編碼規則.倉儲編碼_cb.Text & "')"
    End Sub
    Friend Sub SQL_年份清單()
        ConnOpen() : SQL1 = "SELECT  年份 FROM 年份清單 ORDER BY 年份 DESC" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_年份清單新增()
        SQL1 = "INSERT INTO 年份清單 (年份) VALUES (N'" & 系統編碼規則.年份_tb.Text & "')"
    End Sub
    Friend Sub SQL_業務編號新增()
        SQL1 = "INSERT INTO 業務編號 (業務號) VALUES (N'" & 系統編碼規則.業務號_tb.Text & "')"
    End Sub
    Friend Sub SQL_業務編號修改()
        SQL1 = "UPDATE 業務編號 SET 業務號 = N'" & PA & "' WHERE 業務號 LIKE N'" & 系統編碼規則.業務號_tb.Text & "'"
    End Sub
    Friend Sub SQL_業務編號刪除()
        SQL1 = "DELETE FROM 業務編號 WHERE (業務號 = N'" & 系統編碼規則.業務號_tb.Text & "')"
    End Sub
    Friend Sub SQL_年份清單修改()
        SQL1 = "UPDATE 年份清單 SET 年份 = N'" & PA & "' WHERE 年份 LIKE N'" & 系統編碼規則.年份_tb.Text & "'"
    End Sub
    Friend Sub SQL_年份清單刪除()
        SQL1 = "DELETE FROM 年份清單 WHERE (年份 = N'" & 系統編碼規則.年份_tb.Text & "')"
    End Sub
    Friend Sub SQL_年份清單查詢()
        ConnOpen() : SQL1 = "SELECT 年份 FROM 年份清單 WHERE 年份 LIKE '" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業務編號查詢()
        ConnOpen() : SQL1 = "SELECT 業務號 FROM 業務編號 WHERE 業務號 LIKE '" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_主資料庫狀態()
        ConnOpen()
        SQL1 = "SELECT  DB_NAME(database_id) AS 資料庫, physical_name AS '實體檔案', type_desc AS '檔案類型', 
                        state_desc AS '檔案狀態', size * 8.0 / 1024 AS '檔案大小(MB)'
                FROM    sys.master_files
                WHERE  (DB_NAME(database_id) LIKE 'YD%')
                ORDER BY DB_NAME(database_id)"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_伺服器1清單()
        ConnOpen()
        SQL1 = "SELECT  DB_NAME(database_id) AS 資料庫 FROM sys.master_files WHERE  (DB_NAME(database_id) LIKE 'YD-%') GROUP BY DB_NAME(database_id) ORDER BY DB_NAME(database_id)"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_主資料庫LOG檔案截斷()
        Dim DSF(1) As String : Dim NB1 As Integer = 0
        ConnOpen() : SQL1 = "USE [" & PA & "]" : CmdSet_For_dr()
        ConnOpen() : SQL1 = "select name from sys.database_files;" : CmdSet_For_dr()
        While (dr.Read()) : DSF(NB1) = dr("name").ToString : NB1 += 1 : End While

        If PA = DSF(0) Then : Else
            ConnOpen() : SQL1 = "alter database [" & PA & "] modify file(name=[" & DSF(0) & "], newname =[" & PA & "])" : CmdSet_For_dr()
        End If

        If PA & "_log" = DSF(1) Then : Else
            ConnOpen() : SQL1 = "alter database [" & PA & "] modify file(name=[" & DSF(1) & "], newname=[" & PA & "_log])" : CmdSet_For_dr()
        End If

        ConnOpen() : SQL1 = "ALTER DATABASE [" & PA & "]
                                   SET RECOVERY SIMPLE;" : CmdSet_For_dr()
        ConnOpen() : SQL1 = "DBCC SHRINKFILE ([" & PA & "_Log], 1);" : CmdSet_For_dr()
        ConnOpen() : SQL1 = "ALTER DATABASE [" & PA & "]
                                   SET RECOVERY FULL;" : CmdSet_For_dr()
    End Sub
    '---------------------個人帳號管理-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_個人帳號管理_使用者資料查詢()
        ConnOpen() : SQL1 = "SELECT 姓名, 帳號, 密碼 FROM 使用者權限管理表 WHERE (姓名 = '" & gUserName & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_個人帳號管理_使用者資料修改()
        ConnOpen()
        SQL1 = "UPDATE 使用者權限管理表 SET 帳號 = '" & 個人帳號管理.帳號_tb.Text & "', 密碼 = '" & 個人帳號管理.密碼_tb.Text & "' WHERE (姓名 = '" & 個人帳號管理.姓名_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    '---------------------簽名檔管理.-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_簽名檔管理_圖片流水號查詢()
        ConnOpen()
        SQL1 = "SELECT 圖片流水號 AS 圖檔編碼, 簽名檔人名 FROM YD主管簽名檔管理 ORDER BY 圖片流水號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_簽名檔管理_使用者權限管理表姓名查詢()
        ConnOpen()
        SQL1 = "SELECT 姓名 FROM 使用者權限管理表 ORDER BY 姓名"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_簽名檔管理_主管簽名檔查詢()
        ConnOpen()
        SQL1 = "SELECT 簽名檔圖片 FROM YD主管簽名檔管理 WHERE 圖片流水號 LIKE '" & 簽名檔管理.圖檔編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_簽名檔管理_主管簽名檔新增()
        ConnOpen()
        SQL1 = "INSERT INTO YD主管簽名檔管理 (圖片流水號, 簽名檔人名, 簽名檔圖片) 
                SELECT '" & 簽名檔管理.圖檔編號_tb.Text & "', '" & 簽名檔管理.簽名檔持有人_cb.Text & "', " &
               "BULKCOLUMN FROM OPENROWSET ( BULK '" & FTP物理位置 & AA(1) & "\" & 簽名檔管理.檔案名稱_tb.Text & "', SINGLE_BLOB) AS 
                EMPLOYEEPICTURE"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_簽名檔管理_主管簽名檔最後一筆查詢()
        ConnOpen()
        SQL1 = "SELECT TOP (1) 圖片流水號 FROM YD主管簽名檔管理 ORDER BY 圖片流水號 DESC"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_簽名檔管理_主管簽名檔刪除()
        ConnOpen()
        SQL1 = "DELETE FROM YD主管簽名檔管理 WHERE (圖片流水號 = N'" & 簽名檔管理.圖檔編號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
End Module
